Material File Reference
`#include <osg/Vec4>`
`#include <osg/StateAttribute>`

Go to the source code of this file.

## Classes

class | osg::Material

## Namespaces

namespace | osg

## Macros

#define | OSG_MATERIAL 1
#define | GL_AMBIENT 0x1200
#define | GL_DIFFUSE 0x1201
#define | GL_SPECULAR 0x1202
#define | GL_EMISSION 0x1600
#define | GL_AMBIENT_AND_DIFFUSE 0x1602
#define | GL_COLOR_MATERIAL 0x0B57

## Macro Definition Documentation

## GL_AMBIENT

#define GL_AMBIENT 0x1200

## GL_AMBIENT_AND_DIFFUSE

#define GL_AMBIENT_AND_DIFFUSE 0x1602

## GL_COLOR_MATERIAL

#define GL_COLOR_MATERIAL 0x0B57

## GL_DIFFUSE

#define GL_DIFFUSE 0x1201

## GL_EMISSION

#define GL_EMISSION 0x1600

## GL_SPECULAR

#define GL_SPECULAR 0x1202

## OSG_MATERIAL

#define OSG_MATERIAL 1